<?xml version="1.0" encoding="UTF-8"?>

<!-- Custom Model -->

<!-- Note: This model is pre-configured to load at startup of the Repository. 
	So, all custom -->
<!-- types and aspects added here will automatically be registered -->

<model name="fh:fhModel" xmlns="http://www.alfresco.org/model/dictionary/1.0">

	<!-- Optional meta-data about the model -->
	<description>Custom Model Fattura Vendite CASAGIT</description>
	<author>Cristian Del Carlo</author>
	<version>1.0</version>

	<imports>
		<!-- Import Alfresco Dictionary Definitions -->
		<import uri="http://www.alfresco.org/model/dictionary/1.0"
			prefix="d" />
		<!-- Import Alfresco Content Domain Model Definitions -->
		<import uri="http://www.alfresco.org/model/content/1.0" prefix="cm" />
	</imports>

	<!-- Introduction of new namespaces defined by this model -->
	<!-- NOTE: The following namespace custom.model should be changed to reflect 
		your own namespace -->

	<namespaces>
		<namespace uri="http://93.233.24.227/model/content/1.0"
			prefix="fh" />
	</namespaces>

	<types>
		<type name="fh:FatturaVenditeCasagit">
			<title>Fattura Vendite CASAGIT</title>
			<parent>cm:content</parent>
			<mandatory-aspects>
				<aspect>fh:CASAGIT_AspettoFatturaVendite</aspect>
			</mandatory-aspects>
		</type>
	</types>

	<aspects>
		<aspect name="fh:CASAGIT_AspettoFatturaVendite">
			<title>Dati Fattura Vendite CASAGIT</title>
			<properties>
				<property name="fh:CodiceFornitore">
					<title>Codice Fornitore</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:NomeCliente">
				<title>Nome Cliente</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:PartitaIva">
				<title>Partita Iva</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:CF">
				<title>CF</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:CodiceIdentificativo">
					<title>Codice Identificativo</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:NRoFattura">
					<title>Numero Fatura</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:DataDocumento">
					<title>Data Documento</title>
					<type>d:date</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:DataScadenza">
					<title>Data Scandenza</title>
					<type>d:date</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:Imponibile">
					<title>Imponibile</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:Iva">
					<title>Iva</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:TotaleFattura">
					<title>Totale Fattura</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fh:ProtContabSap">
					<title>ProtContabSap</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
			</properties>
		</aspect>
	</aspects>
</model>
